Subject: Re: [PATCH] git.el: Don't reset HEAD in git-amend-file.

From: Alexandre Julliard <[email-masked]>
Date: Thu, 26 Jun 2008 10:25:10 +0200

Nikolaj Schumacher <[email-masked]> writes:

> The current implementation of git-amend-file is a little dangerous.
> While git --amend is atomic, git-amend-file is not.
>
> If the user calls it, but doesn't go through with the commit (due to
> error or choice), git --reset HEAD^ has been called anyway.

That's a feature, even if it's a little dangerous. You have to reset
HEAD to be able to properly do diffs, refreshes, etc.  Maybe there should
be an easier way to redo the commit if you change your mind, but the
command would be much less useful without the reset.

-- 
Alexandre Julliard
[email-masked]